<template>
  <div>
    <div class="nav">
      <nuxt-link
        :to="$route.name === 'index' ? '/me' : '/'"
        class="link left"
        :class="{ active: $route.name === 'me' }"
      >
        <span> Malte Ludwig </span>
        <!-- <span v-if="$route.name === 'index'">→</span>
        <span v-else>←</span> -->
      </nuxt-link>
      <span v-if="$route.name === 'index'">→</span>
      <span v-else>←</span>
      <nuxt-link
        :to="$route.name === 'index' ? '/me' : '/'"
        class="link"
        :class="{ active: $route.name === 'index' }"
      >
        <span> design & development</span>
      </nuxt-link>
    </div>
    <Nuxt />
  </div>
</template>

<style lang="scss">
@import '~assets/scss/_easings';
body {
  @apply text-xs;
  font-size: 16px;
  @screen lg {
    font-size: 20px;
  }
}
.nav {
  @apply flex fixed  justify-center items-center  top-0 right-0 p-4 z-30 gap-2;
  @apply text-white font-sans;

  mix-blend-mode: difference;
  a {
    @apply relative block;
  }
}

.link span::after {
  content: '';
  @apply absolute bottom-0 left-0 w-0 border-white border-b-2;
  bottom: -5px;
  transition: width 400ms $easeInOutQuart;
}
.link span::after {
  left: initial;
  right: 0;
}

.link:hover span::after,
.link.active span::after {
  @apply w-full;
}
/* during entering and leaving : */
.slide-right-enter-active,
.slide-right-leave-active,
.slide-left-enter-active,
.slide-left-leave-active {
  position: absolute;
  transition: all 600ms $easeOutCubic;
  overflow: hidden;
  overflow-y: auto;
  height: 100vh;
  width: 100vw;
}

/* entering start */
.slide-right-enter {
  right: -100%;
}

/* entering end */
.slide-right-enter-to {
  right: 0;
}

/* leaving start */
.slide-right-leave {
  left: 0;
}

/* leaving end */
.slide-right-leave-to {
  left: -100%;
}

/* entering start */
.slide-left-enter {
  left: -100%;
}

/* entering end */
.slide-left-enter-to {
  left: 0;
}

/* leaving start */
.slide-left-leave {
  right: 0;
}

/* leaving end */
.slide-left-leave-to {
  right: -100%;
}
</style>
